Loading...
Searching...
No Matches
Dune::VirtualRefinement< dimension, CoordType > Class Template Referenceabstract

VirtualRefinement base class. More...

`#include <dune/geometry/virtualrefinement.hh>`

Inheritance diagram for Dune::VirtualRefinement< dimension, CoordType >:

## Classes

struct | Codim
| codim database of VirtualRefinement More...
class | Codim< codimension >
class | SubEntityIteratorBack

## Public Types

typedef Codim< dimension >::SubEntityIterator | VertexIterator
| The VertexIterator of the VirtualRefinement.
typedef Codim< 0 >::SubEntityIterator | ElementIterator
| The ElementIterator of the VirtualRefinement.
typedef FieldVector< CoordType, dimension > | CoordVector
| The CoordVector of the VirtualRefinement.
typedef std::vector< int > | IndexVector
| The IndexVector of the VirtualRefinement.
typedef SubEntityIteratorBack< dimension > | VertexIteratorBack
typedef SubEntityIteratorBack< 0 > | ElementIteratorBack

## Public Member Functions

virtual int | nVertices (Dune::RefinementIntervals tag) const =0
| Get the number of Vertices.
VertexIterator | vBegin (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
VertexIterator | vEnd (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
virtual int | nElements (Dune::RefinementIntervals tag) const =0
| Get the number of Elements.
ElementIterator | eBegin (Dune::RefinementIntervals tag) const
| Get an ElementIterator.
ElementIterator | eEnd (Dune::RefinementIntervals tag) const
| Get an ElementIterator.
virtual | ~VirtualRefinement ()
| Destructor.

## Protected Member Functions

virtual VertexIteratorBack * | vBeginBack (Dune::RefinementIntervals tag) const =0
virtual VertexIteratorBack * | vEndBack (Dune::RefinementIntervals tag) const =0
virtual ElementIteratorBack * | eBeginBack (Dune::RefinementIntervals tag) const =0
virtual ElementIteratorBack * | eEndBack (Dune::RefinementIntervals tag) const =0

## Detailed Description

template<int dimension, class CoordType>
class Dune::VirtualRefinement< dimension, CoordType >

VirtualRefinement base class.

Parameters

  dimension | The dimension of the element to refine
  CoordType | The C++ type of the coordinates

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>

typedef FieldVector<CoordType, dimension> Dune::VirtualRefinement< dimension, CoordType >::CoordVector

The CoordVector of the VirtualRefinement.

This is always a typedef to a FieldVector

## ElementIterator

template<int dimension, class CoordType>

typedef Codim<0>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::ElementIterator

The ElementIterator of the VirtualRefinement.

## ElementIteratorBack

template<int dimension, class CoordType>

typedef SubEntityIteratorBack<0> Dune::VirtualRefinement< dimension, CoordType >::ElementIteratorBack

## IndexVector

template<int dimension, class CoordType>

typedef std::vector<int> Dune::VirtualRefinement< dimension, CoordType >::IndexVector

The IndexVector of the VirtualRefinement.

This is always a typedef to a std::vector

## VertexIterator

template<int dimension, class CoordType>

typedef Codim<dimension>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::VertexIterator

The VertexIterator of the VirtualRefinement.

## VertexIteratorBack

template<int dimension, class CoordType>

typedef SubEntityIteratorBack<dimension> Dune::VirtualRefinement< dimension, CoordType >::VertexIteratorBack

## Constructor & Destructor Documentation

## ~VirtualRefinement()

template<int dimension, class CoordType>

virtual Dune::VirtualRefinement< dimension, CoordType >::~VirtualRefinement | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## eBegin()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eBegin | ( | Dune::RefinementIntervals | tag | ) | const

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eBeginBack()

template<int dimension, class CoordType>

virtual ElementIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::eBeginBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## eEnd()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eEnd | ( | Dune::RefinementIntervals | tag | ) | const

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eEndBack()

template<int dimension, class CoordType>

virtual ElementIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::eEndBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## nElements()

template<int dimension, class CoordType>

virtual int Dune::VirtualRefinement< dimension, CoordType >::nElements | ( | Dune::RefinementIntervals | tag | ) | const

pure virtual

Get the number of Elements.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

Implemented in Dune::template SubEntityIteratorBack< codimension >, and Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >.

## nVertices()

template<int dimension, class CoordType>

virtual int Dune::VirtualRefinement< dimension, CoordType >::nVertices | ( | Dune::RefinementIntervals | tag | ) | const

pure virtual

Get the number of Vertices.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

Implemented in Dune::template SubEntityIteratorBack< codimension >, and Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >.

## vBegin()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vBegin | ( | Dune::RefinementIntervals | tag | ) | const

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vBeginBack()

template<int dimension, class CoordType>

virtual VertexIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::vBeginBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## vEnd()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vEnd | ( | Dune::RefinementIntervals | tag | ) | const

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vEndBack()

template<int dimension, class CoordType>

virtual VertexIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::vEndBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

The documentation for this class was generated from the following files:

- virtualrefinement.hh
- virtualrefinement.cc